package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.InsuranceJobs;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsuranceJobsDAO {
	int insert(InsuranceJobs entity);
	int update(InsuranceJobs entity);
	int exist(String id);
	InsuranceJobs get(String id);
	int delete(String id);
	List<InsuranceJobs> list();
	List<InsuranceJobs> findByDefinitionId(String definitionId);
	List<InsuranceJobs> findByDefinitionIdAndJobId(String definitionId, String jobId);
	List<InsuranceJobs> search(Map<String, Object> searchParams, List<Sort> sortList);
}