package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.InsuranceAgent;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsuranceAgentDAO {
	int insert(InsuranceAgent entity);
	int update(InsuranceAgent entity);
	int exist(String id);
	InsuranceAgent get(String id);
	int delete(String id);
	List<InsuranceAgent> list();
	List<InsuranceAgent> listByType(String type);
	List<InsuranceAgent> search(Map<String, Object> searchParams, List<Sort> sortList);
}