package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_template_message的实体类
 */
@Data
@ApiModel(value = "base_template_message的实体类")
public class TemplateMessage {
    @ApiModelProperty(value = "主键")
	private String id;
    @ApiModelProperty(value = "微信模板代码")
	private String code;
    @ApiModelProperty(value = "标题")
	private String title;
    @ApiModelProperty(value = "内容")
	private String content;
	@ApiModelProperty(value = "目标")
	private String target;
	@ApiModelProperty(value = "JSON参数")
	private String json;
}