package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.Company;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface CompanyService {
	Company get(String id);
	boolean exist(String id);
	int insert(Company model);
	int update(Company model);
	int delete(String id);
	List<Company> list();
	List<Company> findByPromoter(String promoter);
	List<Company> findByPromoterAndCreatTime(String promoter,String startTime,String endTime);
	Page<Company> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
    Company findByCreateBy(String userId);
}