package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.InsuranceDefinitionLimit;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface InsuranceDefinitionLimitService {
	InsuranceDefinitionLimit get(String id);
	boolean exist(String id);
	int insert(InsuranceDefinitionLimit model);
	int update(InsuranceDefinitionLimit model);
	int delete(String id);
	List<InsuranceDefinitionLimit> list();
	List<InsuranceDefinitionLimit> findByDefinitionId(String definitionId);
	Page<InsuranceDefinitionLimit> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}