package com.jpsoft.weixin.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "qrcode.picc.admin.scan")
@Data
public class PICCAdminScanConfig {
    private String loginCode;
    private String loginCallbackUrl;
    private String bindingCode;
    private String bindingCallbackUrl;
    private String promotionCode;
    private String promotionCallbackUrl;
}
