package com.jpsoft.weixin.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.weixin.dto.Sort;
import com.jpsoft.weixin.entity.ReplyMessage;
import com.github.pagehelper.Page;

public interface ReplyMessageService {
	ReplyMessage get(String id);
	boolean exist(String id);
	int insert(ReplyMessage model);
	int update(ReplyMessage model);
	int delete(String id);
	List<ReplyMessage> list();
	Page<ReplyMessage> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
	ReplyMessage findByEvent(String fromUserName, String event);
}